> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email

> GET /emailMessages/{id}

`GET /emailMessages/{id}`

Base URL: `https://email.universal.rollout.com/api`

## Parameters

| Name | In   | Type   | Required |
| ---- | ---- | ------ | -------- |
| `id` | path | string | Yes      |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `404`  | Not Found   |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/email.json GET /emailMessages/{id}`


## OpenAPI

````yaml /openapi/email.json GET /emailMessages/{id}
openapi: 3.0.3
info:
  title: Universal Email API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://email.universal.rollout.com/api
security: []
paths:
  /emailMessages/{id}:
    get:
      tags:
        - Email Messages
      summary: Get Email
      operationId: get_emailmessages_id
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  threadId:
                    anyOf:
                      - type: string
                    nullable: true
                  subject:
                    type: string
                  body:
                    type: string
                  sender:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        email:
                          anyOf:
                            - type: string
                          nullable: true
                      required:
                        - name
                        - email
                  isRead:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isStarred:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isIncoming:
                    anyOf:
                      - type: boolean
                    nullable: true
                  sent:
                    anyOf:
                      - type: string
                    nullable: true
                  received:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - threadId
                  - subject
                  - body
                  - sender
                  - recipients
                  - isRead
                  - isStarred
                  - isIncoming
                  - sent
                  - received
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  threadId:
                    anyOf:
                      - type: string
                    nullable: true
                  subject:
                    type: string
                  body:
                    type: string
                  sender:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        email:
                          anyOf:
                            - type: string
                          nullable: true
                      required:
                        - name
                        - email
                  isRead:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isStarred:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isIncoming:
                    anyOf:
                      - type: boolean
                    nullable: true
                  sent:
                    anyOf:
                      - type: string
                    nullable: true
                  received:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - threadId
                  - subject
                  - body
                  - sender
                  - recipients
                  - isRead
                  - isStarred
                  - isIncoming
                  - sent
                  - received
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  threadId:
                    anyOf:
                      - type: string
                    nullable: true
                  subject:
                    type: string
                  body:
                    type: string
                  sender:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        email:
                          anyOf:
                            - type: string
                          nullable: true
                      required:
                        - name
                        - email
                  isRead:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isStarred:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isIncoming:
                    anyOf:
                      - type: boolean
                    nullable: true
                  sent:
                    anyOf:
                      - type: string
                    nullable: true
                  received:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - threadId
                  - subject
                  - body
                  - sender
                  - recipients
                  - isRead
                  - isStarred
                  - isIncoming
                  - sent
                  - received
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````